Subject: Re: bug#9772: <stdalign.h>, USE_LSB_TAG, and MSVC

From: Paul Eggert <[email-masked]>
Date: Mon, 17 Oct 2011 10:46:09 -0700

On 10/17/11 07:02, Eli Zaretskii wrote:
>> From: Stefan Monnier <[email-masked]>
>> but I hope we can postpone it to after Emacs-24.1.
> 
> If the only reason is to make the Windows and DOS ports cleaner, then
> I'd definitely suggest to postpone.

Yes, that makes sense for now.

There may be an issue before 24.1 comes out.  If Gnulib is later updated,
with a fix that Emacs needs before 24.1, and we then merge from the
updated Gnulib, the merge will contain code that assumes <stdalign.h>.
We'd need to either merge the Gnulib part of the postponed patch,
or edit the Gnulib code by hand after importing it, to undo its
assumption of <stdalign.h>.

We can cross this bridge if we come to it, which I hope we don't....